forceRequiredAddon("Vehicle_Tank");
forceRequiredAddon("Weapon_Gun");

datablock ParticleData(RHMG_M2ExplosionParticle)
{
	dragCoefficient      = 1;
	gravityCoefficient   = 5;
	inheritedVelFactor   = 0.2;
	constantAcceleration = 0.0;
	lifetimeMS           = 1000;
	lifetimeVarianceMS   = 50;
	textureName          = "base/data/particles/chunk";
	spinSpeed		= 10.0;
	spinRandomMin		= -50.0;
	spinRandomMax		= 50.0;
	colors[0]     = "0.1 0.1 0.1 0.5";
	colors[1]     = "0.0 0.0 0.0 0.0";
	sizes[0]      = 0.30;
	sizes[1]      = 0.10;

	useInvAlpha = true;
};
datablock ParticleEmitterData(RHMG_M2ExplosionEmitter)
{
   ejectionPeriodMS = 1;
   periodVarianceMS = 0;
   ejectionVelocity = 50;
   velocityVariance = 25.0;
   ejectionOffset   = 0.0;
   thetaMin         = 89;
   thetaMax         = 90;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "RHMG_M2ExplosionParticle";

   useEmitterColors = true;
   uiName = "RHMG_M2 Hit Dust";
};


datablock ParticleData(RHMG_M2ExplosionRingParticle)
{
	dragCoefficient      = 1;
	gravityCoefficient   = -0.5;
	inheritedVelFactor   = 0.2;
	constantAcceleration = 0.0;
	lifetimeMS           = 100;
	lifetimeVarianceMS   = 35;
	textureName          = "base/data/particles/star1";
	spinSpeed		= 500.0;
	spinRandomMin		= -500.0;
	spinRandomMax		= 500.0;
	colors[0]     = "1 0.6 0.0 0.9";
	colors[1]     = "0.9 0.0 0.0 0.0";
	sizes[0]      = 3;
	sizes[1]      = 0;

	useInvAlpha = false;
};
datablock ParticleEmitterData(RHMG_M2ExplosionRingEmitter)
{
	lifeTimeMS = 50;

   ejectionPeriodMS = 3;
   periodVarianceMS = 0;
   ejectionVelocity = 10;
   velocityVariance = 0.0;
   ejectionOffset   = 0.0;
   thetaMin         = 89;
   thetaMax         = 90;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "RHMG_M2ExplosionRingParticle";

   useEmitterColors = true;
   uiName = "M2 Hit Flash";
};

datablock ExplosionData(RHMG_M2Explosion)
{
   //explosionShape = "";
	soundProfile = bulletHitSound;

   lifeTimeMS = 150;

   particleEmitter = RHMG_M2ExplosionEmitter;
   particleDensity = 20;
   particleRadius = 0.2;

   emitter[0] = RHMG_M2ExplosionRingEmitter;

   faceViewer     = true;
   explosionScale = "1 1 1";

   shakeCamera = false;
   camShakeFreq = "10.0 11.0 10.0";
   camShakeAmp = "1.0 1.0 1.0";
   camShakeDuration = 0.5;
   camShakeRadius = 10.0;

   // Dynamic light
   lightStartRadius = 2;
   lightEndRadius = 2;
   lightStartColor = "0.5 0.8 0.9";
   lightEndColor = "0 0 0";
};


datablock ParticleData(RHMGSmokeParticle)
{
	dragCoefficient      = 3;
	gravityCoefficient   = -1;
	inheritedVelFactor   = 0.6;
	constantAcceleration = 0.0;
	lifetimeMS           = 1700;
	lifetimeVarianceMS   = 55;
	textureName          = "base/data/particles/cloud";
	spinSpeed		= 10.0;
	spinRandomMin		= -500.0;
	spinRandomMax		= 500.0;
	colors[0]     = "0.5 0.5 0.5 0.2";
	colors[1]     = "0.5 0.5 0.5 0.0";
	sizes[0]      = 0.6;
	sizes[1]      = 2.8;

	useInvAlpha = true;
};

datablock ParticleEmitterData(RHMGSmokeEmitter)
{
   ejectionPeriodMS = 20;
   periodVarianceMS = 4;
   ejectionVelocity = -3;
   velocityVariance = 2;
   ejectionOffset   = 0;
   thetaMin         = 0;
   thetaMax         = 50;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "RHMGSmokeParticle";

   uiName = "RHMG Smoke";
};

datablock DebrisData(RHMG_MachineGunShellDebris)
{
	shapeFile = "./M2Shell.dts";
	lifetime = 2.0;
	minSpinSpeed = -400.0;
	maxSpinSpeed = 200.0;
	elasticity = 0.5;
	friction = 0.2;
	numBounces = 3;
	staticOnMaxBounce = true;
	snapOnMaxBounce = false;
	fade = true;

	gravModifier = 2;
};
datablock DebrisData(RHMG_M2BoxDebris)
{
	shapeFile = "./M2Box.dts";
	lifetime = 2.0;
	minSpinSpeed = -400.0;
	maxSpinSpeed = 200.0;
	elasticity = 0.5;
	friction = 0.2;
	numBounces = 3;
	staticOnMaxBounce = true;
	snapOnMaxBounce = false;
	fade = true;

	gravModifier = 2;
};

datablock ParticleData(RHMG_MachineGunFlashParticle)
{
	dragCoefficient      = 14;
	gravityCoefficient   = 0;
	inheritedVelFactor   = 0.0;
	constantAcceleration = 0.0;
	lifetimeMS           = 100;
	lifetimeVarianceMS   = 15;
	textureName          = "base/data/particles/star1";
	spinSpeed		= 10.0;
	spinRandomMin		= -500.0;
	spinRandomMax		= 500.0;
	colors[0]     = "0.9 0.4 0.3 0.4";
	colors[1]     = "0.9 0.3 0.0 0.2";
	sizes[0]      = 2.0;
	sizes[1]      = 0.0;

	useInvAlpha = false;
};
datablock ParticleEmitterData(RHMG_MachineGunFlashEmitter)
{
   ejectionPeriodMS = 4;
   periodVarianceMS = 0;
   ejectionVelocity = -80.0;
   velocityVariance = 1.0;
   ejectionOffset   = 0.0;
   thetaMin         = 0;
   thetaMax         = 15;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "RHMG_MachineGunFlashParticle";

   uiName = "";
};


datablock ShapeBaseImageData(RHMG_MuzzleFlashImage)
{
	//shapeFile = "./test.dts";
	shapeFile = "base/data/shapes/empty.dts";
	emap = false;

	mountPoint = 2;
	
	casing = DSHKShellDebris;
	shellExitDir        = "1.0 0.0 0.0";
	shellExitOffset     = "0 0 0";
	shellExitVariance   = 10.0;	
	shellVelocity       = 10.0;

	stateName[0]                  = "Ready";
	stateTransitionOnTimeout[0]   = "FireA";
	stateTimeoutValue[0]          = 0.01;
	
	stateName[1]                  = "FireA";
	stateTransitionOnTimeout[1]   = "FireC";
	stateWaitForTimeout[1]        = True;
	stateTimeoutValue[1]          = 0.0;
	stateEmitter[1]               = RHMGSmokeEmitter;
	stateEmitterTime[1]           = 0.25;
	stateSound[1]				  = "";

	stateName[3]                  = "FireC";
	stateTransitionOnTimeout[3]   = "Done";
	stateWaitForTimeout[3]        = True;
	stateTimeoutValue[3]          = 0.01;
	stateEmitter[3]               = RHMG_MachineGunFlashEmitter;
	stateEmitterTime[3]           = 0.1;
	
	stateName[4]                  = "Done";
	stateScript[4]                = "onDone";
};

datablock ShapeBaseImageData(RHMG_OverheatImage)
{
	//shapeFile = "base/data/shapes/empty.dts";
	shapeFile = "base/data/shapes/empty.dts";
	emap = false;

	mountPoint = 1;
	
	casing = DSHKShellDebris;
	shellExitDir        = "1.0 0.0 0.0";
	shellExitOffset     = "0 0 0";
	shellExitVariance   = 10.0;	
	shellVelocity       = 10.0;

	stateName[0]                  = "Ready";
	stateTransitionOnTimeout[0]   = "FireB";
	stateTimeoutValue[0]          = 0.01;
	
	stateName[1]                  = "FireA";
	stateTransitionOnTimeout[1]   = "Done";
	stateWaitForTimeout[1]        = True;
	stateTimeoutValue[1]          = 0.0;
	stateEmitter[1]               = tankSmokeEmitter;
	stateEmitterTime[1]           = 8.00;
	stateSound[1]				  = "";
	
	stateName[2]                  = "FireB";
	stateTransitionOnTimeout[2]   = "FireA";
	stateWaitForTimeout[2]        = True;
	stateTimeoutValue[2]          = 0.0;
	stateEmitter[2]               = rocketLauncherFlashEmitter;
	stateEmitterTime[2]           = 0.1;

	stateName[3]                  = "FireC";
	stateTransitionOnTimeout[3]   = "Done";
	stateWaitForTimeout[3]        = True;
	stateTimeoutValue[3]          = 0.01;
	stateEmitter[3]               = RHMG_MachineGunFlashEmitter;
	stateEmitterTime[3]           = 0.1;
	
	stateName[4]                  = "Done";
	stateScript[4]                = "onDone";
};

datablock ShapeBaseImageData(RHMG_JamImage)
{
	//shapeFile = "base/data/shapes/empty.dts";
	shapeFile = "base/data/shapes/empty.dts";
	emap = false;

	mountPoint = 1;
	
	casing = DSHKShellDebris;
	shellExitDir        = "1.0 0.0 0.0";
	shellExitOffset     = "0 0 0";
	shellExitVariance   = 10.0;	
	shellVelocity       = 10.0;

	stateName[0]                  = "Ready";
	stateTransitionOnTimeout[0]   = "FireB";
	stateTimeoutValue[0]          = 0.01;
	
	stateName[1]                  = "FireA";
	stateTransitionOnTimeout[1]   = "Done";
	stateWaitForTimeout[1]        = True;
	stateTimeoutValue[1]          = 0.0;
	stateEmitter[1]               = tankSmokeEmitter;
	stateEmitterTime[1]           = 0.6;
	stateSound[1]				  = "";
	
	stateName[2]                  = "FireB";
	stateTransitionOnTimeout[2]   = "FireA";
	stateWaitForTimeout[2]        = True;
	stateTimeoutValue[2]          = 0.0;
	stateEmitter[2]               = rocketLauncherFlashEmitter;
	stateEmitterTime[2]           = 0.1;

	stateName[3]                  = "FireC";
	stateTransitionOnTimeout[3]   = "Done";
	stateWaitForTimeout[3]        = True;
	stateTimeoutValue[3]          = 0.01;
	stateEmitter[3]               = RHMG_MachineGunFlashEmitter;
	stateEmitterTime[3]           = 0.1;
	
	stateName[4]                  = "Done";
	stateScript[4]                = "onDone";
};


datablock ShapeBaseImageData(RHMG_EjectImage)
{
	shapeFile = "base/data/shapes/empty.dts";
	emap = false;

	mountPoint = 1;
	
	casing = RHMG_MachineGunShellDebris;
	shellExitDir        = "1.0 0.0 0.0";
	shellExitOffset     = "0 0 0";
	shellExitVariance   = 5.0;	
	shellVelocity       = 10.0;
	
	stateName[0]                  = "Ready";
	stateTransitionOnTimeout[0]   = "Done";
	stateTimeoutValue[0]          = 0.01;
	stateEjectShell[0]				= true;
	
	stateName[4]                  = "Done";
	stateScript[4]                = "onDone";	
};
datablock ShapeBaseImageData(RHMG_M2EjectMagazineImage)
{
	shapeFile = "base/data/shapes/empty.dts";
	emap = false;

	mountPoint = 1;
	
	casing = RHMG_M2BoxDebris;
	shellExitDir        = "-1.0 0.0 0.4";
	shellExitOffset     = "0 0 0";
	shellExitVariance   = 0.0;	
	shellVelocity       = 5.0;
	
	stateName[0]                  = "Ready";
	stateTransitionOnTimeout[0]   = "Done";
	stateTimeoutValue[0]          = 0.01;
	stateEjectShell[0]				= true;
	
	stateName[4]                  = "Done";
	stateScript[4]                = "onDone";	
};


