forceRequiredAddon("Vehicle_Jeep.cs");

datablock WheeledVehicleData(TechnicalJeepVehicle : JeepVehicle)
{
	shapeFile = "./longjeep.dts";

   numMountPoints = 5;
   mountThread[0] = "sit";
   mountThread[1] = "sit";
   mountThread[2] = "root";
   mountThread[3] = "root";
   mountThread[4] = "root";
   
   uiName = "Technical ";
};

function TechnicalJeepVehicle::onAdd(%this, %obj)
{
	// Setup the car with some defaults tires & springs
	for(%i = 0; %i < %this.numWheels; %i++)
	{
		%obj.setWheelTire(%i, %this.defaultTire);
		%obj.setWheelSpring(%i, %this.defaultSpring);
	}

	// 4 wheel steering
	%obj.setWheelSteering(0,1);
	%obj.setWheelSteering(1,1);
	//%obj.setWheelSteering(2,-0.8);
	//%obj.setWheelSteering(3,-0.8);

	// 4 wheel drive
	%obj.setWheelPowered(0,true);
	%obj.setWheelPowered(1,true);
	%obj.setWheelPowered(2,true);
	%obj.setWheelPowered(3,true);
   
	%turret = new AIPlayer()
	{
		datablock = R_HsM2Player;
	};

	if(isObject(%turret))
	{
		MissionCleanup.add(%turret);
	
		%obj.mountObject(%turret, 2);
		%obj.turret = %turret;
		%turret.schedule(10, "RHMG_rigTurret");
	}
	
	%obj.creationTime = getSimTime();

}

function Player::RHMG_rigTurret(%obj)
{
	//if this check wasn't present in the default tank code I could just use that code instead... wtf
	//if(%obj.dataBlock !$= TankTurretPlayer)
	//	   return;

	if(!isObject(%obj))
		return;

	%parent = %obj.getObjectMount();
	if(!isObject(%parent))
		return;

	%obj.spawnBrick = %parent.spawnBrick;
	%obj.brickGroup = %parent.brickGroup;
}

function TechnicalJeepVehicle::onRemove(%this, %obj)
{
	if(isObject(%obj.turret))
		%obj.turret.delete();
}

function TechnicalJeepVehicle::onDriverLeave(%this, %obj)
{
	if(%obj.isMounted())
		%obj.setTransform("0 0 0 0 0 0 0");
}